<?php get_header(); ?>

	<div id="content">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<div class="entry">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a> </h2>
					<?php the_content('Read the rest of this entry &raquo;'); ?>
					<?php edit_post_link('&raquo;  Edit &laquo;', '<span class="edit">', '</span>'); ?>
				</div>
				<div class="meta">
					<span class="post_date">
                    	<?php the_time('M') ?>
                    	<?php the_time('j') ?>, 
						<?php the_time('Y') ?>
                	</span>
					<span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span><br />
					
				
				<!-- Show tags or categories -->
				<?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
				    <span class="tags">Tags:</span>
					<ul>
						<?php UTW_ShowTagsForCurrentPost('htmllist') ?>
					</ul>
                <?php } else { ?>
					<span class="tags">Filed under:</span> <?php the_category('<br />') ?>
				<?php } ?>
				</div>
				<div class="clearer"></div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
