<?php get_header(); ?>

	<div id="content">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

			<div class="post" id="post-<?php the_ID(); ?>">
				<div class="entry">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a> </h2>
					<?php the_content('Read the rest of this entry &raquo;'); ?>
					<?php edit_post_link('&raquo;  Edit &laquo;', '<span class="edit">', '</span>'); ?>
				</div>
				<div class="meta">
					<span class="post_date">
                    	<?php the_time('M') ?>
                    	<?php the_time('j') ?>, 
						<?php the_time('Y') ?>
                	</span>
					<span class="comments"><?php comments_number('No Responses', 'One Response', '% Responses' );?></span><br />
					
				
				<!-- Show tags or categories -->
				<?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
				    <span class="tags">Tags:</span>
					<ul>
						<?php UTW_ShowTagsForCurrentPost('htmllist') ?>
					</ul>
                <?php } else { ?>
					<span class="tags">Filed under:</span> <?php the_category('<br />') ?>
				<?php } ?>
				
				<p class="metadata">	
				Comment <?php comments_rss_link('<abbr title="Really Simple Syndication">RSS</abbr>'); ?> feed<br />

				<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
					// Both Comments and Pings are open ?>
					<a href="<?php trackback_url(true); ?>" rel="trackback">Trackback <acronym title="Uniform Resource Identifier">URI</acronym></a><br />
					<br /><a href="#respond">Leave a comment</a>

				<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
        			// Only Pings are Open ?>
        			<a href="<?php trackback_url(true); ?>" rel="trackback">Trackback <acronym title="Uniform Resource Identifier">URI</acronym></a><br />
					<br />Comments are closed

        		<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
        			// Comments are open, Pings are not ?>
        			<a href="#respond">Leave a comment</a>

        		<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
        			// Neither Comments, nor Pings are open ?>
        			<br />Both comments and pings are currently closed.

        		<?php } ?>
            </p>
				
				</div>
				<div class="clearer"></div>
			</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>

	</div>
<?php get_sidebar(); ?>

<?php get_footer(); ?>
